"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF10D0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF11F0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF13A0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF14C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF15E0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF18B0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF19D0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1A60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1AF0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1B80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1C10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1CA0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1D30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1DC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1EE0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1E50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF1F70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF60D0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF61F0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF63A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF64C0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF65E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF68B0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF69D0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6A60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6AF0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6B80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6C10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6CA0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6D30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6DC0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6E50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6EE0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF6F70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF90D0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF91F0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF93A0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF94C0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF95E0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF98B0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF99D0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9AF0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9A60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9B80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9C10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9CA0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9DC0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9D30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9E50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9EE0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AF9F70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AFC040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AFC0D0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EFF4AFC160>)]
name: str = 'fr_HOCCN'
